<mat-card>
  <img
    *ngIf="block.props.imageAboveText && image"
    [src]="image"
    mat-card-image
    [width]="block.props.imageWidth ? block.props.imageWidth : 100"
  />
  <mat-card-title
    *ngIf="name"
    markdown
    [content]="name"
    [context]="context"
    [enumerator]="enumerator"
    [required]="!placeholder && block.required"
  ></mat-card-title>
  <mat-card-content *ngIf="description" markdown [content]="description" [context]="context"></mat-card-content>
  <img
    *ngIf="!block.props.imageAboveText && image"
    [src]="image"
    mat-card-image
    [width]="block.props.imageWidth ? block.props.imageWidth : 100"
  />
  <div>
    <button
      *ngFor="let button of buttons"
      mat-icon-button
      [color]="button.color"
      [ngClass]="button.className"
      (click)="button.select()"
    >
      <mat-icon>{{ button.icon }}</mat-icon>
    </button>
  </div>
  <mat-card-footer
    *ngIf="explanation"
    [id]="block.key('explanation')"
    markdown
    [content]="explanation"
    [context]="context"
  ></mat-card-footer>
</mat-card>
